AddFitPoint Example |
Using Programming Languages other than VBA
Sub Example_AddFitPoint() ' This example creates a spline object in model space. ' It then adds a fit point to the spline. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 ' Create the spline object Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll MsgBox "The Spline has " & splineObj.NumberOfFitPoints & " fit points.", , "AddFitPoint Example" ' Define the new fit point Dim newFitPoint(0 To 2) As Double newFitPoint(0) = 8: newFitPoint(1) = 5: newFitPoint(2) = 0 ' Add the new fit point at the first index in the spline's array of points splineObj.AddFitPoint 1, newFitPoint ThisDrawing.Regen True MsgBox "A fit point has been added at Index:1 WCS: 8, 5, 0" & vbCrLf & "The Spline has " & splineObj.NumberOfFitPoints & " fit points.", , "AddFitPoint Example" End Sub
Comments? |